public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/elfix/
Date: Fri, 27 Apr 2018 22:11:32 +0000 (UTC)	[thread overview]
Message-ID: <1524867074.fd40ac78005fbc99905dbb01968c04780a3e81b4.blueness@gentoo> (raw)

commit:     fd40ac78005fbc99905dbb01968c04780a3e81b4
Author:     Marty E. Plummer <hanetzer <AT> startmail <DOT> com>
AuthorDate: Fri Apr 27 17:26:39 2018 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Fri Apr 27 22:11:14 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd40ac78

sys-apps/elfix: git-2->git-r3, git://->https://

Also eutils is unneeded, autotools is only needed on live ebuilds.
Go ahead and bump to EAPI=6.

Package-Manager: Portage-2.3.31, Repoman-2.3.9
Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>

 sys-apps/elfix/elfix-0.9.2.ebuild | 25 ++++++++++++-------------
 sys-apps/elfix/elfix-9999.ebuild  | 25 ++++++++++++-------------
 2 files changed, 24 insertions(+), 26 deletions(-)

diff --git a/sys-apps/elfix/elfix-0.9.2.ebuild b/sys-apps/elfix/elfix-0.9.2.ebuild
index 11349cf6d6f..2bc81bd6ca5 100644
--- a/sys-apps/elfix/elfix-0.9.2.ebuild
+++ b/sys-apps/elfix/elfix-0.9.2.ebuild
@@ -1,13 +1,11 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=6
 
-inherit eutils
-
-if [[ ${PV} == "9999" ]] ; then
-	EGIT_REPO_URI="git://anongit.gentoo.org/proj/elfix.git"
-	inherit git-2
+if [[ ${PV} == *9999* ]] ; then
+	EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/elfix.git"
+	inherit autotools git-r3
 else
 	SRC_URI="https://dev.gentoo.org/~blueness/elfix/${P}.tar.gz"
 	KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sparc x86"
@@ -21,6 +19,8 @@ LICENSE="GPL-3"
 SLOT="0"
 IUSE="+ptpax +xtpax"
 
+DOCS=( AUTHORS ChangeLog INSTALL README THANKS TODO )
+
 REQUIRED_USE="|| ( ptpax xtpax )"
 
 # These only work with a properly configured PaX kernel
@@ -33,7 +33,11 @@ DEPEND="~dev-python/pypax-${PV}[ptpax=,xtpax=]
 RDEPEND="${DEPEND}"
 
 src_prepare() {
-	[[ ${PV} == "9999" ]] && ./autogen.sh
+	default
+	if [[ ${PV} == *9999* ]]; then
+		eautoreconf
+		cd doc && ./make.sh || die
+	fi
 }
 
 src_configure() {
@@ -42,8 +46,3 @@ src_configure() {
 		$(use_enable ptpax) \
 		$(use_enable xtpax)
 }
-
-src_install() {
-	emake DESTDIR="${D}" install
-	dodoc AUTHORS ChangeLog INSTALL README THANKS TODO
-}

diff --git a/sys-apps/elfix/elfix-9999.ebuild b/sys-apps/elfix/elfix-9999.ebuild
index 9e35e46644d..0eaa5ebdfec 100644
--- a/sys-apps/elfix/elfix-9999.ebuild
+++ b/sys-apps/elfix/elfix-9999.ebuild
@@ -1,13 +1,11 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=6
 
-inherit eutils
-
-if [[ ${PV} == "9999" ]] ; then
-	EGIT_REPO_URI="git://anongit.gentoo.org/proj/elfix.git"
-	inherit git-2
+if [[ ${PV} == *9999* ]] ; then
+	EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/elfix.git"
+	inherit autotools git-r3
 else
 	SRC_URI="https://dev.gentoo.org/~blueness/elfix/${P}.tar.gz"
 	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
@@ -21,6 +19,8 @@ LICENSE="GPL-3"
 SLOT="0"
 IUSE="+ptpax +xtpax"
 
+DOCS=( AUTHORS ChangeLog INSTALL README.md THANKS TODO )
+
 REQUIRED_USE="|| ( ptpax xtpax )"
 
 # These only work with a properly configured PaX kernel
@@ -33,7 +33,11 @@ DEPEND="~dev-python/pypax-${PV}[ptpax=,xtpax=]
 RDEPEND="${DEPEND}"
 
 src_prepare() {
-	[[ ${PV} == "9999" ]] && ./autogen.sh
+	default
+	if [[ ${PV} == *9999* ]]; then
+		eautoreconf
+		cd doc && ./make.sh || die
+	fi
 }
 
 src_configure() {
@@ -42,8 +46,3 @@ src_configure() {
 		$(use_enable ptpax) \
 		$(use_enable xtpax)
 }
-
-src_install() {
-	emake DESTDIR="${D}" install
-	dodoc AUTHORS ChangeLog INSTALL README THANKS TODO
-}


             reply	other threads:[~2018-04-27 22:11 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-27 22:11 Anthony G. Basile [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-26 15:26 [gentoo-commits] repo/gentoo:master commit in: sys-apps/elfix/ Arthur Zamarin
2024-05-26  6:01 Sam James
2024-05-26  6:01 Sam James
2024-05-26  6:01 Sam James
2024-05-26  6:01 Sam James
2024-05-26  6:01 Sam James
2024-05-26  6:01 Sam James
2024-05-26  6:01 Sam James
2024-05-06 18:32 Conrad Kostecki
2023-05-27  6:12 Sam James
2023-01-10  5:57 Sam James
2023-01-10  5:57 Sam James
2021-08-20 14:21 Marek Szuba
2019-12-09 22:14 Anthony G. Basile
2019-05-23 13:16 Mikle Kolyada
2019-05-07 18:03 Tobias Klausmann
2019-05-03  7:11 Sergei Trofimovich
2019-04-30  9:55 Mikle Kolyada
2019-04-28 20:34 Thomas Deutschmann
2019-04-28 13:03 Sergei Trofimovich
2019-04-28  7:42 Sergei Trofimovich
2019-04-27 15:48 Sergei Trofimovich
2019-04-27  8:47 Sergei Trofimovich
2019-04-26  1:47 Aaron Bauman
2019-04-23  0:25 Anthony G. Basile
2019-04-13 10:42 Anthony G. Basile
2019-01-23 13:41 Mikle Kolyada
2018-12-27 17:19 Matt Turner
2018-12-26 20:00 Sergei Trofimovich
2018-12-26 13:55 Sergei Trofimovich
2018-12-15 22:39 Sergei Trofimovich
2018-12-14 22:44 Sergei Trofimovich
2018-12-14 22:22 Sergei Trofimovich
2018-12-14  2:13 Thomas Deutschmann
2018-12-13 21:22 Rick Farina
2018-12-13 20:59 Anthony G. Basile
2018-12-08  9:44 Sergei Trofimovich
2018-12-08  9:36 Sergei Trofimovich
2018-12-07  2:41 Thomas Deutschmann
2018-12-03  6:43 Mikle Kolyada
2018-12-01 14:51 Sergei Trofimovich
2018-11-28 21:51 Anthony G. Basile
2017-06-20  8:42 Alexis Ballier
2015-11-23  9:25 Agostino Sarubbo
2015-11-16 14:19 Agostino Sarubbo
2015-11-10 18:58 Markus Meier
2015-11-05 11:20 Agostino Sarubbo
2015-11-04 15:17 Agostino Sarubbo
2015-11-03 16:18 Agostino Sarubbo
2015-11-01 11:16 Jeroen Roovers
2015-10-30  9:18 Agostino Sarubbo
2015-10-29  7:05 Jeroen Roovers
2015-10-27 20:11 Anthony G. Basile
2015-10-27 20:05 Anthony G. Basile
2015-09-04  0:14 Anthony G. Basile
2015-09-04  0:14 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1524867074.fd40ac78005fbc99905dbb01968c04780a3e81b4.blueness@gentoo \
    --to=blueness@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox